// This code example is created for educational purpose
// by Thorsten Thormaehlen (contact: www.thormae.de).
// It is distributed without any warranty.

package de.unimarburg.mygeneralpathapp;

import android.app.Activity;
import android.os.Bundle;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.view.View;

public class MyGeneralPath extends Activity {
  
  public class MyView extends View {
    
    Paint paint;
    Path path;
    
    public MyView(Context context) {
      super(context);
      paint = new Paint();
      paint.setColor(Color.BLACK);
      paint.setStyle(Paint.Style.STROKE);
      //paint.setStyle(Paint.Style.FILL);
      path = new Path(); 
      path.moveTo( 50,  50); // start here
      path.lineTo( 50,  70); // going down
      path.lineTo(100,  70); // going right
      path.lineTo(100, 180); // going down
      path.lineTo(120, 180); // going right
      path.lineTo(120,  70); // going up
      path.lineTo(170,  70); // going right
      path.lineTo(170,  50); // going up
      path.close(); // going left (back to start)
    }

    @Override
    public void onDraw(Canvas canvas) {
      canvas.drawPath(path, paint);
    }
  }

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    MyView myview = new MyView(this);
    myview.setBackgroundColor(Color.GRAY);
    setContentView(myview);

  }
}